[page:Curve] →

# [name]

A curve representing a 2d line segment.

## Constructor

### [name]( [param:Vector2 v1], [param:Vector2 v2] )

[page:Vector2 v1] – The start point.
[page:Vector2 v2] - The end point.

## Properties

See the base [page:Curve] class for common properties.

### [property:Vector2 v1]

The start point.

### [property:Vector2 v2]

The end point

## Methods

See the base [page:Curve] class for common methods.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/src/[path].js src/[path].js]